﻿/// Copyright © 2013 Microsoft Corporation. 
/// This project is released under the Microsoft Public License (MS-PL)
///
namespace DataMorph.Common.Storage
{
    using Microsoft.WindowsAzure.Storage.Blob;
    using Microsoft.WindowsAzure.Storage.Queue;
    using Microsoft.WindowsAzure.Storage.Table;

    public interface ICloudStorageAccount
    {
        string GetName();

        CloudBlobClient CreateCloudBlobClient();

        CloudQueueClient CreateCloudQueueClient();

        CloudTableClient CreateCloudTableClient();
    }
}