﻿/// Copyright © 2013 Microsoft Corporation. 
/// This project is released under the Microsoft Public License (MS-PL)
///
namespace DataMorph.Generator
{
    using System;
    using System.Collections.Generic;

    using DataMorph.Common.Contracts;

    public interface ITagDataFileGenerator
    {
        TagDataFile Generate(IEnumerable<Tag> tags, int sizeInBytes, DateTime startDateTime, DateTime endDateTime);
    }
}