﻿/// Copyright © 2013 Microsoft Corporation. 
/// This project is released under the Microsoft Public License (MS-PL)
///
namespace DataMorph.Generator
{
    using System;
    using System.ComponentModel;

    using DataMorph.Common;

    public interface ITagDataSetGenerator : ICancellable
    {
        event EventHandler<ProgressChangedEventArgs> ProgressChanged;

        TagDataSet Generate(GenerationParameters parameters);
    }
}