﻿/// Copyright © 2013 Microsoft Corporation. 
/// This project is released under the Microsoft Public License (MS-PL)
///
namespace DataMorph.Generator
{
    using System.Collections.Generic;

    using DataMorph.Common.Contracts;

    public interface ITagGenerator
    {
        IList<Tag> Generate(int tagCount, IEnumerable<TagType> types = null);
    }
}