﻿/// Copyright © 2013 Microsoft Corporation. 
/// This project is released under the Microsoft Public License (MS-PL)
///
namespace DataMorph.Processing
{
    using System.Collections.Generic;

    public interface IProgressQueue
    {
        int BatchSize { get; }

        void AddProgressReport(FileProcessedMessage message);

        void DeleteProgressReport(FileProcessedMessage message);

        IEnumerable<FileProcessedMessage> GetProgressReports();
    }
}