﻿/// Copyright © 2013 Microsoft Corporation. 
/// This project is released under the Microsoft Public License (MS-PL)
///

namespace Azure.Performance
{
    using System;

    //TODO: Change this to an abstract base class
    public interface IUploadPerformanceTest : IDisposable
    {
        string Id { get; }

        string Name { get; }

        string Description { get; }

        int Threads { get; set; }

        void Initialize(string storageAccount);

        void Upload(string file);

        void Clean();
    }
}
