﻿/// Copyright © 2013 Microsoft Corporation. 
/// This project is released under the Microsoft Public License (MS-PL)
///
namespace DataMorph.Common.Contracts
{
    public class ProcessingRecord
    {
        public string StorageAccount { get; set; }

        public string DataSet { get; set; }

        public string DeploymentId { get; set; }

        public double AverageReadTime { get; set; }

        public double AverageParseTime { get; set; }

        public double AverageWriteTime { get; set; }

        public double MaxReadTime { get; set; }

        public double MaxParseTime { get; set; }

        public double MaxWriteTime { get; set; }

        public double MinReadTime { get; set; }

        public double MinParseTime { get; set; }

        public double MinWriteTime { get; set; }

        public int FilesRead { get; set; }

        public int FilesWritten { get; set; }

        public string TimeRequested { get; set; }

        public string CompletedTime { get; set; }

        public double TotalProcessingTime { get; set; }

        public int InstanceCount { get; set; }

        public int CoreCount { get; set; }
    }
}