﻿namespace DataMorph.Web
{
    using System;

    public class Disposer : IDisposable
    {
        private readonly Action removeAction;

        public Disposer(Action removeAction)
        {
            this.removeAction = removeAction;
        }

        public void Dispose()
        {
            this.removeAction();
        }
    }
}