﻿/// Copyright © 2013 Microsoft Corporation. 
/// This project is released under the Microsoft Public License (MS-PL)
///
namespace DataMorph.Generator.Tests.TestSupport
{
    using DataMorph.Common.Contracts;
    using DataMorph.Generator;

    public class TestFileWriter : ITagDataFileWriter
    {
        private readonly string dataSetName;

        private readonly int day;

        public TestFileWriter(string dataSetName, int day)
        {
            this.day = day;
            this.dataSetName = dataSetName;
        }

        public string Write(TagDataFile file)
        {
            return string.Format("{0}/{1}/{2}", this.dataSetName, this.day, file.Id);
        }
    }
}